package com.dgtis.dorm.manager.db.dao;

import java.util.List;
import java.util.Map;

import com.dgtis.dorm.manager.db.domain.Admin;
import org.apache.ibatis.annotations.Param;

public interface AdminMapper {

    /**
     * TODO ~~~~
     */
    List<Admin> selectByExample(Admin example);

    /**
     * TODO ~~~~
     */
    List<Admin> selectByExampleSelective(@Param("example") Admin example, @Param("selective") Admin.Column ... selective);

    /**
     * TODO ~~~~
     */
    Admin selectByPrimaryKey(Integer id);

    /**
     * TODO ~~~~
     */
    Admin selectByPrimaryKeySelective(@Param("id") Integer id, @Param("selective") Admin.Column ... selective);

    /**
     * TODO ~~~~
     */
    long countByExample(Admin example);

    /**
     * TODO ~~~~
     */
    int insertSelective(Admin record);

    /**
     * TODO ~~~~
     */
    int updateByPrimaryKey(Admin record);

    /**
     * TODO ~~~~
     */
    int updateByPrimaryKeySelective(Admin record);
    
    /**
     * TODO ~~~~
     */
	List<Admin> findByIdList(@Param("ids") List ids, @Param("selective") Admin.Column ... selective);

    /**
     * TODO ~~~~
     */
	Admin selectByUserId(@Param("userId") Integer userId);

    /**
     * @descption: 根据用户id查询Oneportal中的用户信息
     * @param: [userId]
     * @return: deptUnid isAdmin
     * @auther: qxp
     * @date:19-8-6 11:37
     */
    Map<String, Object> getUserInfoByUserId(String userId);
}